Summary: Linux Standard Base tools
Name: lsb-release
Version: 2.0
Release: %mkrel 10
License: GPL
Source: lsb-release-%{version}.tar.bz2
Group: System/Base
URL:  http://www.freestandards.org/en/LSB
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86} x86_64 ppc

%define lsbver 3.1
%define arch_name ia32 

%ifarch x86_64
%define arch_name amd64 
%endif
%ifarch %{ppc}
%define arch_name ppc 
%endif

%description
LSB version query program

This program forms part of the required functionality of
the LSB (Linux Standard Base) specification.

The program queries the installed state of the distribution
to display certain properties such as the version of the
LSB against which the distribution claims compliance as 
well. It can also attempt to display the name and release
of the distribution along with an identifier of who produces
the distribution.

%prep

%setup

%build
rm -rf $RPM_BUILD_ROOT
make

%install
make prefix=%buildroot mandir=%buildroot/%{_mandir} install 
mkdir -p %buildroot/%{_sysconfdir}/%{name}.d
mkdir -p %buildroot/%{_sysconfdir}
cat > %buildroot/%{_sysconfdir}/lsb-release << EOF
LSB_VERSION=lsb-%{lsbver}-%arch_name:lsb-%{lsbver}-noarch
DISTRIB_ID=MandrivaLinux
DISTRIB_RELEASE=2008.1
DISTRIB_CODENAME=cambria
DISTRIB_DESCRIPTION="%{distribution} 2008.1"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/bin/lsb_release
%{_mandir}/man1/lsb_release.1*
%config(noreplace) %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}.d


%changelog
* Wed Apr 02 2008 Antoine Ginies <aginies@mandriva.com> 2.0-10mdv2008.1
+ Revision: 191719
- final name

* Wed Mar 05 2008 Antoine Ginies <aginies@mandriva.com> 2.0-9mdv2008.1
+ Revision: 180086
- update DISTRIBNAME

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0-8mdv2008.1
+ Revision: 152874
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Antoine Ginies <aginies@mandriva.com> 2.0-6mdv2008.0
+ Revision: 81439
- fill empty field in /etc/lsb-release


* Thu Jan 18 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0-5mdv2007.0
+ Revision: 110311
-Use mkrel
-fix url
- Import lsb-release

* Sat Apr 01 2006 Stew Benedict <sbenedict@mandriva.com> 2.0-4mdk
- change the ident standard - now lsb-version-arch/noarch

* Tue Feb 21 2006 Stew Benedict <sbenedict@mandriva.com> 2.0-3mdk
- move graphics ident files to lsb-graphics

* Wed Jan 18 2006 Stew Benedict <sbenedict@mandriva.com> 2.0-2mdk
- leave DISTRIB_CODENAME blank, lsb_release can find it

* Wed Jun 01 2005 Stew Benedict <sbenedict@mandriva.com> 2.0-1mdk
- 2.0 - cvs snapshot
- conform to the new requirements for lsb-release format

* Sat Apr 23 2005 Stew Benedict <sbenedict@mandriva.com> 1.4-8mdk
- LSB3.0, use variables to populate lsb-release
- leave DISTRIB_RELEASE blank, lsb_release can find it

* Fri Mar 11 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-7mdk
- 10.2 (Bugzilla #14491)

* Tue Jun 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-6mdk
- LSB2.0

* Mon Apr 05 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-5mdk
- Mandrakelinux 10.1, codename Cooker

